import 'package:flutter_common_package/flutter_common_package.dart';
import 'package:hive_flutter/hive_flutter.dart';

class TrackerRouter {
  static void pushRouter(String key, String value) async {
    await Hive.box<dynamic>(Cc.EXCEPTION_DATABASE).put(key, value);
  }

  static Future<Map> getRouterMap() async {
    var router = await Hive.box<dynamic>(Cc.EXCEPTION_DATABASE).toMap();
    return router;
  }

  static Future<String> getRouterString() async {
    var router =
        await Hive.box<dynamic>(Cc.EXCEPTION_DATABASE).toMap().toString();
    return router;
  }
}
